Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtCPointerData Class Reference

Inheritance diagram for QwtCPointerData:

[legend]
Collaboration diagram for QwtCPointerData:

[legend]
List of all members.

## Detailed Description

Data class containing two pointers to memory blocks of doubles.

Definition at line 125 of file qwt_data.h.

## Public Member Functions
| QwtCPointerData (const double *x, const double *y, size_t size)
QwtCPointerData & | operator= (const QwtCPointerData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const
virtual QwtDoubleRect | boundingRect () const

## Constructor & Destructor Documentation

QwtCPointerData::QwtCPointerData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size
| ) |

| Constructor Warning: The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object. See also: QwtCurve::setRawData and QwtPlot::setCurveRawData. Definition at line 187 of file qwt_data.cpp. Referenced by copy().

## Member Function Documentation

QwtDoubleRect QwtCPointerData::boundingRect | ( |  | ) | const`[virtual]`

| Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == FALSE Reimplemented from QwtData. Definition at line 230 of file qwt_data.cpp. References size().

QwtData * QwtCPointerData::copy | ( |  | ) | const`[virtual]`

| Return a pointer to a copy (virtual copy constructor) Implements QwtData. Definition at line 220 of file qwt_data.cpp. References QwtCPointerData().

QwtCPointerData & QwtCPointerData::operator= | ( | const QwtCPointerData & |  | ) |

| Assignment. Definition at line 194 of file qwt_data.cpp. References d_size, d_x, and d_y.

size_t QwtCPointerData::size | ( |  | ) | const`[virtual]`

| Return the size of the data set Implements QwtData. Definition at line 205 of file qwt_data.cpp. Referenced by boundingRect().

double QwtCPointerData::x | ( | size_t | i | ) | const`[virtual]`

  | Return the x value of data point i Parameters:
  | i | Index
Returns: x X value of data point i Implements QwtData. Definition at line 210 of file qwt_data.cpp.

double QwtCPointerData::y | ( | size_t | i | ) | const`[virtual]`

  | Return the y value of data point i Parameters:
  | i | Index
Returns: y Y value of data point i Implements QwtData. Definition at line 215 of file qwt_data.cpp.